package com.ebaiyihui.family.doctor.common.vo.cloudHis;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;


/**
 * 支付dto
 *
 * @author lc
 * @date 2024/04/02
 */
@Data
public class PayDto {


    @ApiModelProperty(value = "当前操作人ID【自动获取】")
    private Integer operatorId;

    @ApiModelProperty(value = "当前操作人名称【自动获取】")
    private String operatorName;

    @ApiModelProperty(value ="所属租户ID【自动获取】")
    private Integer tenantId;

    @ApiModelProperty(value = "项目编号[挂账]")
    private String projectNo;

    @ApiModelProperty(value ="病历号[挂账]")
    private String medicalRecordNo;

    @ApiModelProperty(value ="性别[挂账]")
    private Integer patientSex;

    @ApiModelProperty(value ="患者证件号[挂账]")
    private String patientCardNo;

    @ApiModelProperty(value ="手机号[挂账]")
    private String phone;

    @ApiModelProperty(value="支付单号")
    private String payOrderNo;

    @ApiModelProperty(value="总金额【最大金额，所有总数】")
    private BigDecimal amount;

    @ApiModelProperty(value="应付总金额")
    private BigDecimal totalAmount;

    @ApiModelProperty(value="挂账金额")
    private BigDecimal pendingAmount;

    @ApiModelProperty(value="支付类型 1.在线支付 2.线下支付")
    private Integer paymentType;

    @ApiModelProperty(value="支付方式 PaymentMethodEnum")
    private Integer paymentMethod;

    @ApiModelProperty(name = "用户付款码, 非必传")
    private String authCode;

    @ApiModelProperty(name = "来源：1线下 2线上")
    private String source;

}
